Class UmlClassMember

This class globaly manages class's relations, attributes, operations
and sub-classes
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlClassMember : public UmlBaseClassMember
- Java : abstract class UmlClassMember extends UmlBaseClassMember

Directly inherited by : UmlBaseAttribute UmlBaseClass UmlBaseOperation UmlBaseRelation

Artifact : UmlClassMember

Operation UmlClassMember

Declaration :

- Uml : + UmlClassMember(in id : item_id, in n : string) :
- C++ : public: UmlClassMember(void * id, const QCString & n) : UmlBaseClassMember(id, n)
- Java : public UmlClassMember(long id, String n)

All public operations : apply , applyStereotype , children , childrenVisible , constraint , cppDecl , cppVisibility , defined_ , deleteIt , description , getIdentifier , identifier_ , idlDecl , isClassMember , isMarked , isToolRunning , isVolatile , isWritable , javaAnnotations , javaDecl , kind , markedItems , moveAfter , name , parent , phpDecl , properties , propertyValue , pythonDecl , referencedBy , set_childrenVisible , set_Constraint , set_CppDecl , set_CppVisibility , set_Description , set_IdlDecl , set_isClassMember , set_isMarked , set_isVolatile , set_JavaAnnotations , set_JavaDecl , set_Name , set_PhpDecl , set_PropertyValue , set_PythonDecl , set_Stereotype , set_Visibility , stereotype , supportFile , unload , unload , visibility